package com.pcloud.book.book.biz;

import com.pcloud.book.book.entity.SearchRecordDis;
import com.pcloud.common.page.PageBeanNew;

/**
 * 用户搜索记录（内容去重）(SearchRecordDis)表服务接口
 *
 * @author makejava
 * @since 2020-10-12 16:24:41
 */
public interface SearchRecordDisSaleBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SearchRecordDis getById(Integer id);

    /**
     * 分页查询
     */
    PageBeanNew getList(Integer currentPage, Integer numPerPage);

    /**
     * 新增数据
     *
     * @param SearchRecordDis 实例对象
     * @return 主键
     */
    Long insert(SearchRecordDis SearchRecordDis);

    /**
     * 修改数据
     *
     * @param SearchRecordDis 实例对象
     */
    void update(SearchRecordDis SearchRecordDis);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    void deleteById(Integer id);

}